body {
  --bg-dark: #2f2536;
  --bg-secondary-dark: #343132;
  --darkM-text-color: white;
  --darkM-slider-color: white;
  --btn-color-special: gold;
  --btn-colour: white;
  --calculator-s: wheat;

  background-color: var(--bg-dark);
}

body.light {
  --bg-dark: #bfaabf;
  --bg-secondary-dark: #cecece;
  --darkM-text-color: black;
  --darkM-slider-color: black;
  --btn-color-special: peru;
  --btn-colour: black;
  --calculator-s:peru;
}

.bg-secondary-dark {
  background-color: var(--bg-secondary-dark);
}
.darkM-text-color {
  color: var(--darkM-text-color);
}
.btn-style button {
  font-size: 30px;
  font-weight: 700;
}
.btn.btn-colour{
  color:var(--btn-colour);
  
}
.btn.btn-colour:hover{
  color:tomato;
}
.btn.btn-color-special {
  color: var(--btn-color-special);
}
.btn.btn-color-equal {
  background-color: var(--btn-color-special);
  color:var(--btn-colour);
}
.btn.btn-color-special:hover{
  color:tomato;
}
.btn.btn-color-equal:hover{
  background-color:tomato
}
.number-style {
  color:var(--darkM-text-color);
}
.calculator-s {
  color: var(--calculator-s);
}


input[type="checkbox"]{
  -webkit-appearance: none;
  position: relative;
  width: 65px;
  height: 34px;
  border-radius: 50px;
  outline: none;
  background-color: var(--bg-secondary-dark);
}

input[type="checkbox"]::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 34px;
  width: 34px;
  background-color: var(--darkM-slider-color);
  border-radius: 90px;
  -webkit-transition: .4s;
    transition: .4s;
}

input[type="checkbox"]:checked::before {
  transform: translate(100%);
  -webkit-transition: .4s;
  transition: .4s;
  background-color: var(--bg-secondary-dark);
}

input[type="checkbox"]:checked {
  background-color: var(--darkM-slider-color);
}
